Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

o

scala.tools.nsc.interactive

# Pickler

###
Companion class Pickler

#### object Pickler

Source
  Pickler.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Pickler
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  implicit class TildeDecorator[S] extends AnyRef

   A wrapper class to be able to use `~` s an infix method

2.  class UnpickleFailure extends Unpickled[Nothing]

   A class representing unpickle failures

3.  case class UnpickleSuccess[+T](result: T) extends Unpickled[T] with Product with Serializable

   A class representing successful unpicklings

   A class representing successful unpicklings

   T

     the type of the unpickled value

   result

     the unpickled value

4.  abstract class Unpickled[+T] extends AnyRef

   A base class representing unpickler result.

   A base class representing unpickler result. It has two subclasses: `UnpickleSuccess` for successful unpicklings and `UnpickleFailure` for failures, where a value of the given type `T` could not be unpickled from input.

   T

     the type of unpickled values in case of success.

5.  case class ~[+S, +T](fst: S, snd: T) extends Product with Serializable

   A class representing `~`-pairs

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  implicit def booleanPickler: Pickler[Boolean]

   A pickler for values of type `Boolean`, represented as the literals `true` or `false`.

6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def conditionalPickler[T](p: Pickler[T], condition: (Any) => Boolean): CondPickler[T]

   Same as `p.cond(condition)`

8.  def eitherPickler[T, U <: T, V <: T](p: CondPickler[U], q: => CondPickler[V]): CondPickler[T] { lazy val qq: scala.tools.nsc.interactive.CondPickler[V] }

   Same as `p | q`

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  implicit val intPickler: Pickler[Int]

    A pickler for values of type `Int`, represented as integer literals

15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  implicit def iterPickler[T](implicit arg0: Pickler[T]): Pickler[Iterator[T]]

    A picklers that handles iterators.

    A picklers that handles iterators. It pickles all values returned by an iterator separated by commas. When unpickling, it always returns an `UnpickleSuccess` containing an iterator. This iterator returns 0 or more values that are obtained by unpickling until a closing parenthesis, bracket or brace or the end of input is encountered.

    This means that iterator picklers should not be directly followed by `~` because the pickler would also read any values belonging to the second part of the `~`-pair.

    What's usually done instead is that the iterator pickler is wrapped and labelled to handle other kinds of sequences.

17.  def javaInstancePickler[T <: AnyRef]: Pickler[T]

    A pickler the handles instances of classes that have an empty constructor.

    A pickler the handles instances of classes that have an empty constructor. It represents than as `$new ( <name of class> )`. When unpickling, a new instance of the class is created using the empty constructor of the class via `Class.forName(<name of class>).getConstructor().newInstance()`.

18.  def labelledPickler[T](label: String, p: Pickler[T]): Pickler[T]

    Same as `p.labelled(label)`.

19.  implicit def listPickler[T](implicit arg0: Pickler[T]): Pickler[List[T]]

    A pickler for list values

20.  implicit val longPickler: Pickler[Long]

    A pickler for values of type `Long`, represented as integer literals

21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def pkl[T](implicit arg0: Pickler[T]): Pickler[T]

    The implicit `Pickler` value for type `T`.

    The implicit `Pickler` value for type `T`. Equivalent to `implicitly[Pickler[T]]`.

25.  def seqPickler[T, U](p: Pickler[T], q: => Pickler[U]): Pickler[~[T, U]] { lazy val qq: scala.tools.nsc.interactive.Pickler[U] }

    Same as `p ~ q`

26.  def singletonPickler[T <: AnyRef](x: T): CondPickler[T]

    A conditional pickler for singleton objects.

    A conditional pickler for singleton objects. It represents these with the object's underlying class as a label. Example: Object scala.None would be represented as `scala.None$()`.

27.  implicit val stringPickler: Pickler[String]

    A pickler for values of type `String`, represented as string literals

28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  implicit def tuple2Pickler[T1, T2](implicit arg0: Pickler[T1], arg1: Pickler[T2]): Pickler[(T1, T2)]

    A pickler for pairs, represented as `~`-pairs

31.  implicit def tuple3Pickler[T1, T2, T3](implicit p1: Pickler[T1], p2: Pickler[T2], p3: Pickler[T3]): Pickler[(T1, T2, T3)]

    A pickler for 3-tuples, represented as `~`-tuples

32.  implicit val unitPickler: Pickler[Unit]

    A pickler for values of type `Unit`, represented by the empty character string

33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
36.  def wrappedPickler[S, T](p: Pickler[S])(in: (S) => T)(out: (T) => S): Pickler[T]

    Same as `p.wrap(in)(out)`

### Inherited from AnyRef

### Inherited from Any

### Ungrouped